libmspub::ShapeInfo Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libmspub::ShapeInfo Struct Reference

`#include <ShapeInfo.h>`

## Public Member Functions
| ShapeInfo ()
std::shared_ptr< const CustomShape > | getCustomShape () const

## Public Attributes
boost::optional< ShapeType > | m_type
boost::optional< ShapeType > | m_cropType
boost::optional< unsigned > | m_imgIndex
boost::optional< unsigned > | m_borderImgIndex
boost::optional< Coordinate > | m_coordinates
std::vector< Line > | m_lines
boost::optional< unsigned > | m_pageSeqNum
boost::optional< unsigned > | m_textId
std::map< unsigned, int > | m_adjustValuesByIndex
std::vector< int > | m_adjustValues
boost::optional< double > | m_rotation
boost::optional< std::pair< bool, bool > > | m_flips
boost::optional< Margins > | m_margins
boost::optional< BorderPosition > | m_borderPosition
std::shared_ptr< const Fill > | m_fill
boost::optional< DynamicCustomShape > | m_customShape
bool | m_stretchBorderArt
boost::optional< ColorReference > | m_lineBackColor
boost::optional< Dash > | m_dash
boost::optional< TableInfo > | m_tableInfo
boost::optional< unsigned > | m_numColumns
unsigned | m_columnSpacing
boost::optional< Arrow > | m_beginArrow
boost::optional< Arrow > | m_endArrow
boost::optional< VerticalAlign > | m_verticalAlign
boost::optional< ColorReference > | m_pictureRecolor
boost::optional< Shadow > | m_shadow
boost::optional< int > | m_innerRotation
std::vector< libmspub::Vertex > | m_clipPath
boost::optional< int > | m_pictureBrightness
boost::optional< int > | m_pictureContrast

## Constructor & Destructor Documentation

## ◆ ShapeInfo()

libmspub::ShapeInfo::ShapeInfo | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getCustomShape()

std::shared_ptr< const CustomShape > libmspub::ShapeInfo::getCustomShape | ( |  | ) | const
| inline

Referenced by libmspub::MSPUBCollector::getCalculationValue(), libmspub::MSPUBCollector::getShapeAdjustValues(), and libmspub::MSPUBCollector::paintShape().

## Member Data Documentation

## ◆ m_adjustValues

std::vector<int> libmspub::ShapeInfo::m_adjustValues

Referenced by libmspub::MSPUBCollector::getShapeAdjustValues().

## ◆ m_adjustValuesByIndex

std::map<unsigned, int> libmspub::ShapeInfo::m_adjustValuesByIndex

Referenced by libmspub::MSPUBCollector::getShapeAdjustValues().

## ◆ m_beginArrow

boost::optional<Arrow> libmspub::ShapeInfo::m_beginArrow

## ◆ m_borderImgIndex

boost::optional<unsigned> libmspub::ShapeInfo::m_borderImgIndex

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_borderPosition

boost::optional<BorderPosition> libmspub::ShapeInfo::m_borderPosition

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_clipPath

std::vector<libmspub::Vertex> libmspub::ShapeInfo::m_clipPath

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_columnSpacing

unsigned libmspub::ShapeInfo::m_columnSpacing

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_coordinates

boost::optional<Coordinate> libmspub::ShapeInfo::m_coordinates

Referenced by libmspub::MSPUBCollector::getSpecialValue(), libmspub::MSPUBCollector::paintShape(), and libmspub::MSPUBCollector::writePageBackground().

## ◆ m_cropType

boost::optional<ShapeType> libmspub::ShapeInfo::m_cropType

Referenced by getCustomShape(), and libmspub::MSPUBCollector::paintShape().

## ◆ m_customShape

boost::optional<DynamicCustomShape> libmspub::ShapeInfo::m_customShape

Referenced by getCustomShape().

## ◆ m_dash

boost::optional<Dash> libmspub::ShapeInfo::m_dash

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_endArrow

boost::optional<Arrow> libmspub::ShapeInfo::m_endArrow

## ◆ m_fill

std::shared_ptr<const Fill> libmspub::ShapeInfo::m_fill

Referenced by libmspub::MSPUBCollector::paintShape(), libmspub::MSPUBCollector::setupShapeStructures(), and libmspub::MSPUBCollector::writePageBackground().

## ◆ m_flips

boost::optional<std::pair<bool, bool> > libmspub::ShapeInfo::m_flips

Referenced by libmspub::MSPUBCollector::setupShapeStructures().

## ◆ m_imgIndex

boost::optional<unsigned> libmspub::ShapeInfo::m_imgIndex

Referenced by getCustomShape(), and libmspub::MSPUBCollector::setupShapeStructures().

## ◆ m_innerRotation

boost::optional<int> libmspub::ShapeInfo::m_innerRotation

Referenced by libmspub::MSPUBCollector::setupShapeStructures().

## ◆ m_lineBackColor

boost::optional<ColorReference> libmspub::ShapeInfo::m_lineBackColor

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_lines

std::vector<Line> libmspub::ShapeInfo::m_lines

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_margins

boost::optional<Margins> libmspub::ShapeInfo::m_margins

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_numColumns

boost::optional<unsigned> libmspub::ShapeInfo::m_numColumns

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_pageSeqNum

boost::optional<unsigned> libmspub::ShapeInfo::m_pageSeqNum

Referenced by libmspub::MSPUBCollector::writePageBackground().

## ◆ m_pictureBrightness

boost::optional<int> libmspub::ShapeInfo::m_pictureBrightness

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_pictureContrast

boost::optional<int> libmspub::ShapeInfo::m_pictureContrast

## ◆ m_pictureRecolor

boost::optional<ColorReference> libmspub::ShapeInfo::m_pictureRecolor

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_rotation

boost::optional<double> libmspub::ShapeInfo::m_rotation

Referenced by libmspub::MSPUBCollector::setupShapeStructures().

## ◆ m_shadow

boost::optional<Shadow> libmspub::ShapeInfo::m_shadow

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_stretchBorderArt

bool libmspub::ShapeInfo::m_stretchBorderArt

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_tableInfo

boost::optional<TableInfo> libmspub::ShapeInfo::m_tableInfo

Referenced by libmspub::MSPUBCollector::paintShape().

## ◆ m_textId

boost::optional<unsigned> libmspub::ShapeInfo::m_textId

Referenced by libmspub::MSPUBCollector::getShapeText(), and libmspub::MSPUBCollector::paintShape().

## ◆ m_type

boost::optional<ShapeType> libmspub::ShapeInfo::m_type

Referenced by getCustomShape(), libmspub::MSPUBCollector::paintShape(), and libmspub::MSPUBCollector::writePageBackground().

## ◆ m_verticalAlign

boost::optional<VerticalAlign> libmspub::ShapeInfo::m_verticalAlign

Referenced by libmspub::MSPUBCollector::paintShape().

The documentation for this struct was generated from the following file:

- ShapeInfo.h